2006年4月14日

[ruby-list:42017] [Q]debian etch で el4r が動きません

はじめまして。 いつみと申します。

●概要
Debian etch で、Boris Daixさん作成のソースパッケージから el4r のetch用
パッケージを作ったのですがうまく動きません

●症状
起動時に .emacs の評価が失敗する。*Message* は次のようになる。

>el4r started.
>
>An error has occurred while loading `/home/amt/.emacs':
>
>Error raised in Ruby
elisp内で、(el4r-boot) を実行すると↓のようになるので、ruby 側の el4r_boot で
コケているようです。

Debugger entered--Lisp error: (el4r-ruby-error)
signal(el4r-ruby-error nil)
byte-code(""" [signal el4r-ruby-error nil] 3)
el4r-get()
el4r-ruby-eval("el4r_boot")
el4r-boot()
eval((el4r-boot))
eval-last-sexp-1(t)
eval-last-sexp(t)
eval-print-last-sexp()
* call-interactively(eval-print-last-sexp)

ruby のソースを読んでみたのですが、僕には歯が立ちませんでした。

という訳で諸先輩の御助力をお願い致します。

●コンフィギュレーション

dpkg -l emacs21 ruby el4r
要望=(U)不明/(I)インストール/(R)削除/(P)完全削除/(H)維持
| 状態=(N)無/(I)インストール済/(C)設定/(U)展開/(F)設定失敗/(H)半インストール
|/ エラー=(空欄)無/(H)維持/(R)要再インストール/X=両方(状態,エラーの大文字=異常)
||/ 名前 バージョン 説明
+++-================-================-================================================
ii el4r 1.0.2-1 EmacsRuby engine - EmacsLisp for Ruby
ii emacs21 21.4a-3 The GNU Emacs editor
ii ruby 1.8.2-1 An interpreter of
object-oriented scripting lang
el4r インスコログは↓
http://d.hatena.ne.jp/amt/20060414/elispforruby

--
逸見研一(いつみけんいち)
Mixi http://mixi.jp/show_friend.pl?id=113732
Orkut http://www.orkut.com/Profile.aspx?uid=11299027584966195898
Blog http://d.hatena.ne.jp/amt/
Plan http://calendar.yahoo.co.jp/amt_tmp

投稿者 xml-rpc : 2006年4月14日 17:04
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/41873
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。